# JacocoPluginExtension

abstract class JacocoPluginExtension

Extension including common properties and methods for Jacoco.

## Constructors

JacocoPluginExtension
Link copied to clipboard
@Inject
constructor(project: Project, agent: JacocoAgentJar)
Creates a Jacoco plugin extension.

## Properties

reportsDirectory
Link copied to clipboard
val reportsDirectory: DirectoryProperty
TASK_EXTENSION_NAME
Link copied to clipboard
val TASK_EXTENSION_NAME: String = "jacoco"
toolVersion
Link copied to clipboard
open var toolVersion: String

## Functions

applyTo
Link copied to clipboard
open fun <T : Task?, JavaForkOptions?> applyTo(task: T)
Applies Jacoco to the given task.
open fun <T : Task?, JavaForkOptions?> applyTo(tasks: TaskCollection<T>)
Applies Jacoco to all of the given tasks.